% Matlab equation file: "SRV02_SIP_ABCD_eqns.m"
% Open-Loop State-Space Matrices: A, B, C, and D
% for the Quanser SRV02+SIP Experiment.

A( 1, 1 ) = 0;
A( 1, 2 ) = 0;
A( 1, 3 ) = 1;
A( 1, 4 ) = 0;
A( 2, 1 ) = 0;
A( 2, 2 ) = 0;
A( 2, 3 ) = 0;
A( 2, 4 ) = 1;
A( 3, 1 ) = 0;
A( 3, 2 ) = mp^2*lp^2*r*g/(Jarm*Jp_cm+mp*lp^2*Jarm+Jp_cm*mp*r^2);
A( 3, 3 ) = -Barm*(Jp_cm+mp*lp^2)/(Jarm*Jp_cm+mp*lp^2*Jarm+Jp_cm*mp*r^2);
A( 3, 4 ) = mp*lp*r*Bp/(Jarm*Jp_cm+mp*lp^2*Jarm+Jp_cm*mp*r^2);
A( 4, 1 ) = 0;
A( 4, 2 ) = mp*g*lp*(Jarm+mp*r^2)/(Jarm*Jp_cm+mp*lp^2*Jarm+Jp_cm*mp*r^2);
A( 4, 3 ) = -mp*lp*r*Barm/(Jarm*Jp_cm+mp*lp^2*Jarm+Jp_cm*mp*r^2);
A( 4, 4 ) = Bp*(Jarm+mp*r^2)/(Jarm*Jp_cm+mp*lp^2*Jarm+Jp_cm*mp*r^2);

B( 1, 1 ) = 0;
B( 2, 1 ) = 0;
B( 3, 1 ) = (Jp_cm+mp*lp^2)/(Jarm*Jp_cm+mp*lp^2*Jarm+Jp_cm*mp*r^2);
B( 4, 1 ) = mp*lp*r/(Jarm*Jp_cm+mp*lp^2*Jarm+Jp_cm*mp*r^2);

C( 1, 1 ) = 1;
C( 1, 2 ) = 0;
C( 1, 3 ) = 0;
C( 1, 4 ) = 0;
C( 2, 1 ) = 0;
C( 2, 2 ) = 1;
C( 2, 3 ) = 0;
C( 2, 4 ) = 0;
C( 3, 1 ) = 0;
C( 3, 2 ) = 0;
C( 3, 3 ) = 1;
C( 3, 4 ) = 0;
C( 4, 1 ) = 0;
C( 4, 2 ) = 0;
C( 4, 3 ) = 0;
C( 4, 4 ) = 1;

D( 1, 1 ) = 0;
D( 2, 1 ) = 0;
D( 3, 1 ) = 0;
D( 4, 1 ) = 0;
